Skip to navigation

Delivery status update

View as Markdown

Delivered to the statusWebhookUrl you set with POST /settings/webhooks as an outbound message progresses. A per-message status_callback, if you set one when sending, takes precedence over the account-level URL.

This payload has no type field — identify it by status.

Payload

The payload of this webhook request is an object.
messageIdstringOptional
statusstringOptional

e.g. sent, delivered, read, failed, SMS_FALLBACK.

textstring or nullOptional
fromstring or nullOptional
tostring or nullOptional
groupIdstring or nullOptional
attachmentslist of stringsOptional
status_callbackstring or nullOptionalformat: "uri"
outboundbooleanOptional
iMessageNumberstring or nullOptional
participantslist of strings or nullOptional
chatGuidstring or nullOptional
messageGuidstring or nullOptional
timestamp_mslongOptional
errorstring or nullOptional

Response

200
any
Return a 200 status to indicate that the data was received successfully.